---
lang: en
title: 'API docs: metadata.namespacedreflect._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [(constructor)](./metadata.namespacedreflect._constructor_.md)

## NamespacedReflect.(constructor)

Constructs a new instance of the `NamespacedReflect` class

**Signature:**

```typescript
constructor(namespace?: string | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  namespace | string \| undefined | _(Optional)_ Namespace to bind this reflect context |


